Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class SecurityIdentityMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.SecurityIdentityMetaData

All Implemented Interfaces:
  XmlLoadable

public class SecurityIdentityMetaData
extends MetaData

The meta data object for the security-identity element. The security-identity element specifies whether the caller’s security identity is to be used for the execution of the methods of the enterprise bean or whether a specific run-as role is to be used. It contains an optional description and a specification of the security identity to be used. Used in: session, entity, message-driven

Version:
  $Revision: 1.3.2.1 $
Author:
  Scott.Stark@jboss.org

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`SecurityIdentityMetaData()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getRunAsRoleName()` Get the run-as security identity.
`boolean` | `getUseCallerIdentity()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityIdentityMetaData

    public SecurityIdentityMetaData()

Method Detail

### getDescription

    public java.lang.String getDescription()

### getUseCallerIdentity

    public boolean getUseCallerIdentity()

### getRunAsRoleName

    public java.lang.String getRunAsRoleName()

  Get the run-as security identity. This is the principal to be used for the run-as identity of an enterprise bean in terms of its security role.

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element,` - the security-identity element from the ejb-jar

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.